{"openapi":"3.0.0","servers":[],"info":{"description":"1health NG API","version":"1.0.0","title":"1health NG API - DESIGN REFERENCE","contact":{"email":"dnenov@1health.io"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"webhook","description":"Outbound request from 1health to a lab"},{"name":"standard","description":"Request originated by lab"}],"paths":{"/kit":{"get":{"tags":["standard"],"summary":"searches the sampling kits available from a Supplier","operationId":"searchKits","description":"Search for sampling kit(s) that are offered by a supplier. A supplier of sampling kits is a logistic company / warehouse that is reponsible for packaging kits with the correct collection containers, printed materials, return labels, leak-proof puches or ziplocks, etc. Each sampling kit has a SKU that identifies it with the Supplier.","parameters":[{"in":"query","name":"searchString","description":"pass an optional full text search string for looking up kits","required":false,"schema":{"type":"string"}},{"in":"query","name":"sku","description":"This is the Stock Keeping Unit that identifies the kit uniquely in the inventory of a single fullfilment warehouse.","schema":{"type":"string","minimum":1,"maximum":50}},{"in":"query","name":"activeOnly","description":"If set to TRUE only sampling kits that are currently active in the Supplier catalog will be included, otherwise all matching kitss, including deprecated (inactive) ones will be returned.","schema":{"type":"boolean","default":true}},{"in":"query","name":"offset","description":"The first (offset - 1) number of matching records will be ommitted from the returned resultset. This is used as a mechanism to skip a number of records for pagination. If the number of matching records found is fewer than this offset, then all of them will be returned, regardless of the value for offset.","schema":{"type":"integer","format":"int32","minimum":0,"default":0}},{"in":"query","name":"limit","description":"maximum number of records to return","schema":{"type":"integer","format":"int32","minimum":0,"maximum":200,"default":50}}],"responses":{"200":{"description":"Found Tests that match the search query.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SamplingKit"}}}}},"201":{"description":"No matched found for the kit search query.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SamplingKit"}}}}},"400":{"description":"bad input parameter"}}}},"/product":{"get":{"tags":["standard"],"summary":"Summary","responses":{"200":{"description":"Product information."}}}},"/test_order":{"get":{"tags":["standard"],"summary":"Summary","responses":{"200":{"description":"Test Order information."}}}},"/myinfo":{"get":{"tags":["standard"],"summary":"Retrieves all lab information assocaited with the authenticated session that is necessary to use the rest of the APIs","responses":{"200":{"description":"Lab information data returned.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LabInfo"}}}}}}}},"/compendium":{"get":{"tags":["standard"],"summary":"searches the tests offered present in the lab's compendium","operationId":"searchCompendium","description":"Search for test(s) that are offered by the lab. A `Compendium` is the catalalog of tests offered by the lab. We specifically differnetiate between an `LTC`, which stands for a `Lab Test Compendium` and identifies the set of tests that the lab offers, from the `1hTC`, the `1health Test Compendium` that conatins the list of tests that 1health offers to our clients.","parameters":[{"in":"query","name":"searchString","description":"pass an optional full text search string for looking up tests","required":false,"schema":{"type":"string"}},{"in":"query","name":"code","description":"This is the compendium (catalog) code used by the lab to refer to a test. This code is used to place test orders with the lab and it unqieuly identifies one test or test panel that the lab offers.","schema":{"type":"string","minimum":1,"maximum":5000}},{"in":"query","name":"activeOnly","description":"If set to TRUE only tests that are currently active in the lab's compendium will be included, otherwise allmatching tests, including deprecated (inactive) ones will be returned.","schema":{"type":"boolean","default":true}},{"in":"query","name":"offset","description":"The first (offset - 1) number of matching records will be ommitted from the returned resultset. This is used as a mechanism to skip a number of records for pagination. If the number of matching records found is fewer than this offset, then all of them will be returned, regardless of the value for offset.","schema":{"type":"integer","format":"int32","minimum":0,"default":0}},{"in":"query","name":"limit","description":"maximum number of records to return","schema":{"type":"integer","format":"int32","minimum":0,"maximum":200,"default":50}}],"responses":{"200":{"description":"Found Tests that match the search query.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TestOffered"}}}}},"201":{"description":"No matched found for the test search query.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TestOffered"}}}}},"400":{"description":"bad input parameter"}}},"put":{"tags":["standard"],"description":"Same payload as POST, except only labOrderCode is required, in order to identify the Lab Test Offered that will be updated.","responses":{"201":{"description":"Test updated."}}},"post":{"tags":["standard"],"summary":"Adds a Lab Test Offered by the lab.","operationId":"addTestOffered","description":"Adds a test that the lab offers. This is known as an `LTC Test Offered` (LTC = Lab Test Compendium). It is a test that exists in the lTC (the Lab's catalog of tests) and that can be ordered. We use `Lab Test Offered` to differentiate clearly from `Test Ordered`. A `Lab Test Offered` is the description and listing of atest in the Lab's Compendium, while a `test Ordered` is an order for a test to be performed and has a lab requisition id, corresponding sample and is tracked in the lab's LIMS (Lab Information Management System).","responses":{"201":{"description":"Test created"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing item already exists"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TestOffered"}}},"description":"Test to be added"}}}},"components":{"schemas":{"SupplyProduct":{"description":"A combination of at least one sampling kit and zero or more other BomLineItems","properties":{"id":{"type":"integer"},"name":{"type":"string","description":"Short producty name."},"details":{"type":"string","description":"Long product description in text format."},"cost":{"type":"number","minimum":0,"maximum":999999,"example":150.99,"description":"The total amount per SamplingKit charged by the Supplier to assemble, warehouse, pick, package, label and ship it."},"currency":{"type":"string","minimum":3,"maximum":10,"example":150.99,"description":"A world currency abbreviation.","default":"USD"},"samplingKit":{"type":"array","format":"json","description":"Array of samplingKit ids (boi_instance.id) that are part of the supply Product. Aty least ONE must exist, but multiple are possible, although rarely used.","example":[111,222,333]},"bom":{"type":"array","format":"json","items":{"$ref":"#/components/schemas/BomLineItem"},"description":"Bill of materials. An array of Bill of Material Line items, which are the 'parts' that are used to assemble the Sampling Kit."}}},"NamedEntity":{"description":"Abstract Business object that has a globally unique ID and a name.","properties":{"id":{"type":"integer","example":12345678901234567000},"name":{"type":"string","minimum":1,"maximum":512,"example":"This is the name I chose for this.","description":"The name may be unique within the Tenant, or globally unique, or it may NOT be unique."}}},"SamplingKit":{"description":"Test Sampling Kit, used to collect specimens that labs perform tests on.","properties":{"id":{"type":"integer","example":12345678901234567000},"name":{"type":"string","minimum":1,"maximum":128,"example":"Nasal swab Kit.","description":"A unique (within the supplier catalog) name for the sampling kit."},"supplier":{"type":"array","format":"json","description":"Optional array of organinzation ids (boi_instance.id) that correspond to one or more suppliers of the sampling kit. The supplier is the company that the SamplingKit was purchased form - that is typically a wholesaler / sitributor, but may also be the same as the manufcaturer","example":[123,234,345455433445]},"sku":{"type":"string","minimum":0,"maximum":15,"example":"143-443","description":"Stock Keeping Unit. A unique inventory identifier within one supplier/warehouse. Not globally unique."},"manufacturer":{"type":"number","description":"Optional organinzation id (boi_instance.id) that corresponds to the manufcaturer of the sampling kit. The manufacturer is the company that MAKES the SamplingKit and may also be the same as the supplier. The upc code is dtermined by the manufacturer.","example":[123,234,345455433445]},"upc":{"type":"string","minimum":0,"maximum":15,"example":"UPC code","description":"Universal Product Code, in UPC-A, UPC-E or EAN-13 format (GS1 spec). Unlike SKUs UPCs are gloablly (i.e. world-wide) unique. These are manufacturers' codes. In the case of a SamplingKit they are optional, because many sampling kits are custom built by a distributor and a UPC code for them is not registered (registration is costly and in most cases only necessary if the product is to be sold in retail and scanned at check-out cash registers)."},"category":{"type":"string","example":"`Saliva Swab` or 'Venous Blood Draw' or `Urine`"},"otherProductCodes":{"type":"object","format":"json","example":{"logiwa":"123-776453","wooCommerce":"13123","Sales Force":"4435","WooCommerce-Bristle":"AQ-0000021"},"description":"It is often necessary to track additional product codes that originate in different systems. To provide some flexibility to store unaticipated information we use this field."},"isSerialized":{"type":"boolean","default":true,"description":"If true this means that each kit has a unique kit key (aka serial number). These kit keys should be globally unique, which is essentially impossible to guarantee. If a lab receives two kits with the same kit key, at the same time, the LIMS (laboratiory Information Management System) could reject the second one as not unique, or a re-labeling process will be used. However, as long as kit keys are unique in a LIMS for the samples that are currently being processed (i.e. in the interval between accessioning and resulting), processing should be possible without problems."},"cost":{"type":"number","minimum":0,"maximum":999999,"example":150.99,"description":"The total amount per SamplingKit charged by the Supplier to assemble, warehouse, pick, package, label and ship it."},"currency":{"type":"string","minimum":3,"maximum":10,"example":150.99,"description":"A world currency abbreviation.","default":"USD"}}},"TestProduct":{"description":"A combination of a Lab TestOffered and/or a SupplyProduct. Either a Lab TestOffered, or a SupplyProduct, or both are required for an instance of this type to exist. This is the only type of entity that represents a rpodcut that can be purchased thrpough the system. The result of the xxxProduct entities represent components of the TestProduct.","properties":{"id":{"type":"integer"},"name":{"type":"string","description":"Short product name. Unique per tenant."},"labTestOffered":{"type":"array","format":"json","example":"[345,456,789000000000] or []","description":"Zero or more ids (boi_instance.id) that identify a Lab TestOffered. These may be from one or more organizations that are labs, which are different from the tenant. Each Lba must explicitly allow another tenant orgnaizations to use a Test Offered that belongs to the lab, in a tenant owned TestProduct."},"details":{"type":"string","description":"Long product description in text format."},"price":{"type":"number","minimum":0,"maximum":999999,"example":150.99,"description":"The total amount per SamplingKit charged by the Supplier to assemble, warehouse, pick, package, label and ship it."},"currency":{"type":"string","minimum":3,"maximum":10,"example":150.99,"description":"A world currency abbreviation.","default":"USD"}}},"TestOffered":{"type":"object","required":["labOrderCode","name"],"properties":{"labOrderCode":{"type":"string","minimum":1,"maximum":36,"example":10266,"description":"This code is the lab's catalog number. It can be used to order a test. When provided, the lab knows exactly what test we are refereing to."},"name":{"type":"string","minimum":8,"maximum":256,"example":"\"JAK2V617F Mutation Analysis, Qualitative\"","description":"This is the human-readable name of a Lab Test Offered by a lab. The name is unique within the scope (namespace) of the LTC. In other words there cannot be two tests with the same name in the same lab's compendium. However the test name is not globally unique - meaning that two separate labs may each have as test with the same name."},"defaultPricePerTest":{"type":"number","minimum":0,"maximum":999999,"example":150.99,"description":"The list price that the lab charges to perform this test."},"defaultPriceCurrency":{"type":"string","minimum":3,"maximum":10,"example":150.99,"description":"A world currency abbreviation.","default":"USD"},"expectedTurnaroundTimeHrsMin":{"type":"number","minimum":0,"maximum":1500,"example":4,"description":"The MINIMUM number of hours between assessioning the specimen(s) and resulting the test. How long at a minimum the patient can expect to wait for a test result, after the lab has received and started rpocessing the specimen(s)."},"expectedTurnaroundTimeHrsMax":{"type":"number","minimum":0,"maximum":1500,"example":48,"description":"The MAXIMUM number of hours between assessioning the specimen(s) and resulting the test. How long at a minimum the patient can expect to wait for a test result, after the lab has received and started rpocessing the specimen(s)."},"alternativeNames":{"type":"array","format":"json","items":{"type":"string"},"example":["Polycythemia Vera (PV)","PMF","PV","Primary Myelofibrosis (PMF)","ET","Essential Thrombocythemia (ET)","Myeloproliferative neoplasm","JAK2 V617F Mutation Analysis","Qualitative JAK2V617F Mutation Analysis"],"description":"This contains alternastive equivalent names for the test. Used only for reference purposes, having multiple ways to refer to the same test is discouraged as it can create confusion."},"testDescription":{"type":"string","minimum":8,"maximum":5000,"example":"This DNA-based assay tests leukocytes from blood or bone marrow aspirate for mutation at codon 617 of JAK2, using an advanced DNA sequencing method. The JAK2 V617F mutation is associated with myeloproliferative neoplasms, including polycythemia vera, essential thrombocythemia and primary myelofibrosis.","description":"A narrative description of the test."},"clinicalUtilityUse":{"type":"string","minimum":8,"maximum":5000,"example":"To assist with control of blood glucose levels, the American Diabetes Association (ADA) has recommended glycated hemoglobin testing (HbA1c) twice a year for patients with stable glycemia, and quarterly for patients with poor glucose control. Interpretative ranges are based on ADA guidelines.","description":"A narrative description of the clinical significance, utility and/or use of the test."},"methodology":{"type":"string","minimum":0,"maximum":5000,"example":"Enzymatic, Spectrophotometry (SP)","description":"Description of the test methodology."},"limitations":{"type":"string","minimum":0,"maximum":5000,"example":"NASH FibroSure® is recommended for patients with suspected nonalcoholic fatty liver disease. It is not recommended for patient with other liver diseases. It is also not recommended in patients with Gilbert disease, acute hemolysis, acute hepatitis, acute inflammation of the liver, autoimmune hepatitis, extrahepatic cholestasis, transplant patients, and/or renal insufficiency patients. Any of these clinical situations may lead to inaccurate quantitative predictions of fibrosis.This test was developed, and its performance characteristics determined, by LabCorp. It has not been cleared or approved by the US Food and Drug Administration (FDA). The FDA has determined that such clearance or approval is not necessary.","description":"Description of the test limitations."},"assayCategory":{"type":"string","minimum":3,"maximum":128,"example":"Infectious Disease","description":"Broad category of the type of assay the test falls under. For example 'Blood Screening', 'Infectious Disease', 'Sexual Health', 'Drug Testing' are some possible values."},"isAPanel":{"type":"boolean","default":false,"example":true,"description":"Indicates if a Lab Test Offered is a panel (a collection) of other tests."},"testPanelComponents":{"type":"array","format":"json","items":{"type":"string"},"example":["90756","90678","G6008","0633T"],"description":"If the test is a panel, in other words if this test is a collection of other test, this array contains the labOrderCode(s) of the component tests. This attribute must be empty or not provided, if the isAPanel attribute is FALSE"},"isActive":{"type":"boolean","default":true,"example":false,"description":"Indicates if a Lab TestOffered in the comepndium of the lab can be ordered at this time."},"isUnique":{"type":"boolean","default":false,"example":true,"description":"In the (rare) case when a test is offered only by one lab, set this value to TRUE. This indicates that hte lab has an exclusive owbership of the intellectual property for the test or the exclusive rights to perform the test."},"hasReflexes":{"type":"boolean","default":false,"example":true,"description":"Set this to true if the result of this test can triger additioanl reflex test(s). Reflex testing is an important tool in providing timely, cost-effective and quality care to patients. A reflex test is a laboratory test performed (and charged for) subsequent to an initially ordered and resulted test. Reflex testing occurs when an initial test result meets pre-determined criteria (e.g., positive or outside normal parameters), and the primary test result is inconclusive without the reflex or follow-up test. It is performed automatically without the intervention of the ordering physician. Reflex testing may prevent the need for additional specimen procurement from the patient."},"stateReport":{"type":"boolean","default":false,"example":true,"description":"Set to TRUE if there is a requirement to report the results for this test to the state."},"defaultICDCode":{"type":"string","minimum":3,"maximum":12,"example":"B05","description":"A default ICD10 code. If no ICD10 code is specified when this test is ordered, this ICD code will be used, if required for reporting, lab requisiton creation (test ordering), etc. However, it is not common to use a default code, except in certain situatin - like COVID-19 tests for example. see https://www.icd10data.com/ICD10CM/Codes"},"recommendedICD10Codes":{"type":"array","format":"json","items":{"type":"string"},"example":["T27.0XXS","S31.652S","S32.049B"],"description":"A list of valid ICD10 codes that the lab recommends to be used for the test, in order to make it more likely that insurance will cover it."},"cptCodes":{"type":"array","format":"json","items":{"type":"string"},"example":["90756","90678","G6008","0633T"],"description":"CPT codes are the most important part of the medical billing process. All these CPT codes describe the insurance payer company what services and procedures performed on patients and also show the exact fee or charges of services. Current Procedural Terminology (CPT)/Healthcare Common Procedure Coding System (HCPCS) Codes. CPT codes and descriptions only are copyright by the American Medical Association. All Rights Reserved. The CPT codes provided should be based on AMA guidance and are intended for informational purposes only. CPT coding is the sole responsibility of the billing party."},"patientPreparation":{"type":"string","minimum":3,"maximum":5000,"example":"Patient should be fasting for at least eight hours.","description":"Instructions on how to prepare the patient before collecting the specimen(s)."},"preferredSpecimens":{"type":"string","minimum":3,"maximum":1024,"example":"5 mL whole blood or 3 mL bone marrow aspirate collected in an EDTA (lavender-top) tube","description":"Narrative description of the preferred specimen(s) for the test."},"minimumVolume":{"type":"string","minimum":3,"maximum":1024,"example":"2 mL serum • 0.5 mL whole blood","description":"Narrative description of the minimum volume of the specimen(s) to be collected for the test."},"collectionInstructions":{"type":"string","minimum":3,"maximum":5000,"example":"Use first-void urine; Aliquot and store at -20C.  Derivatization of urine samples - deplete excess urea with urease, extract with ethanol and/or methanol, derivatize with MOX and MSTFA","description":"Instructions on how the specimen should be collected."},"collectionInstructionsLink":{"type":"string","minimum":3,"maximum":1024,"example":"https://www.natera.com/wp-content/uploads/2021/05/Panorama-SampleBlood-Collection-Instructions.pdf","description":"URL/URI link to an external document that contains sample collection instructions."},"collectionMethod":{"type":"string","minimum":3,"maximum":1024,"example":"Blood","description":"In the UI for now this contains the data in the Colection section under the field label `Specimen Categoty`. Description of the sample collection method(s). Valid values are: Blood | Plasma | Serum | Saliva | Swab | Urine | Fecal | Tissue."},"causesForRejection":{"type":"string","minimum":14,"maximum":5000,"example":"Contamination","description":"Description of possible reasons for which the specimen can be rejected by the lab during assession. Approximately 0.26% of all specimens are  rejected. The most common reasons for specimen rejection are contamination (35.1%), inappropriate collection container/tube (15.2%), quantity not sufficient (QNS) (15.1%), labeling errors (14.7%), hemolyzed specimen (9.4%), and clotted specimen (9.3%)."},"specimenStabilityRoomTHrs":{"type":"number","minimum":0,"maximum":999999,"example":168,"description":"Number of hours the specimen for this test can be kept at room temperature before becoming spoiled. Use the value 0 to indicate 'unaccaeptable', meaning that it is not acceptable for the spcimen to be stored at room temperature."},"specimenStabilityRefrigeratedHrs":{"type":"number","minimum":0,"maximum":999999,"example":168,"description":"Number of hours the specimen for this test can be kept refrigerated (but not frozen) before becoming spoiled. Use the value 0 to indicate 'unaccaeptable', meaning that it is not acceptable for the spcimen to be stored refrigerated."},"specimenStabilityFrozenHrs":{"type":"number","minimum":0,"maximum":999999,"example":168,"description":"Number of hours the specimen for this test can be kept refrigerated (but not frozen) before becoming spoiled. Use the value 0 to indicate 'unaccaeptable', meaning that it is not acceptable for the spcimen to be frozen."},"alternativeSpecimens":{"type":"string","minimum":3,"maximum":1024,"example":"Saliva","description":"Description of possible alternative specimend(s)."},"transportContainer":{"type":"string","minimum":3,"maximum":1024,"example":"Serum Separator Tube (SST®) and EDTA (lavender-top) tube","description":"Description of the acceptable transport container(s)."},"transportTemperatureC":{"type":"number","minimum":-80,"maximum":90,"example":15,"description":"Recommended transport temperature for the specimen in degrees Celsius."},"transportTemperatureF":{"type":"number","minimum":-120,"maximum":200,"example":15,"description":"Recommended transport temperature for the specimen in degrees Fahrenheit."},"askOnEntryQuestions":{"type":"array","format":"json","items":{"type":"string"},"example":{"definition":"TBD"},"description":"Questions that the patient is required to answer for the test to be processed. Intended to support AOE as defined in the HL7 standard."},"testQuestionnaireLinks":{"type":"array","format":"json","items":{"type":"string"},"example":["https://1health.jotform.com/212766754111050","https://www.questionpro.com/survey-templates/health-care-opinion-survey/"],"description":"If the patient is required to complete one or more questionaires, this array contains the URLs/URIs to these questionaires or surveys."},"LOINCmap":{"type":"array","format":"json","items":{"$ref":"#/components/schemas/TestLoincEntry"},"example":[{"labTestOrderCode":"081950","labTestOrderLOINC":"62292-8","labTestResutlCode":"081953","labTestResultLOINC":"62292-8","labTestResultName":"Vitamin D, 25-Hydroxy","labTestResultComponentName":"Calcitriol"},{"labTestOrderCode":"16558","labTestOrderLOINC":"62292-8","labTestResutlCode":"86003320","labTestResultLOINC":"62290-2"}],"description":"Loinc MAP entires that define the order LOINC and the possibel result LOINC codes for this test. Note that the `labTestOrderCode1 attribute value MUST MATCH the `labOrderCode` (documented above) which uniquely identifies the test record this LOINC map entry is being provided for (and is in teh same REST call payload)"},"releaseDate":{"type":"string","format":"date-time","example":"2016-08-29T09:12:33.001Z","description":"The timestamp of wwhen the test becomes available for ordering."},"retirementDate":{"type":"string","format":"date-time","example":"2022-10-00T00:00:00GMT-8","description":"The timestamp of when the test STOPS being available for ordering."},"tags":{"type":"array","format":"json","items":{"type":"string"},"example":["important","popular","HIV"],"description":"An arbitrary set of keywords (tags) that can be associated with the test and can be used to more easily find and group tests together in ways that cannot be anticiapted in advance."}}},"TestLoincEntry":{"required":["labTestOrderCode","labTestOrderLOINC","labTestResutlCode","labTestResultLOINC"],"properties":{"labTestOrderCode":{"type":"string","example":"86003320"},"labTestOrderLOINC":{"type":"string","example":"62292-8"},"labTestResutlCode":{"type":"string","example":"86003320"},"labTestResultLOINC":{"type":"string","example":"62290-2"},"labTestResultName":{"type":"string","example":"VITAMIN D, 1,25 (OH)2, TOTAL"},"labTestResultComponentName":{"type":"string","example":"Calcitriol"}},"description":"For examples of usage see these online laboratory test listings: https://testdirectory.questdiagnostics.com/test/test-detail/10372/comprehensive-metabolic-panel-with-fibrosis-4-fib-4-index?p=h&cc=SEA (with over 20 TestLoincEntry(s), or https://www.labcorp.com/tests/808404/quetiapine-serum-or-plasma (with only one TestLoincEntry in the LOINC table)"},"LabInfo":{"description":"Minimum set of data to identify a lab and provide context for lab API usage.","properties":{"id":{"type":"integer","example":12345678901234567890},"legalName":{"type":"string","example":"Pacific Laboratiory Services on the Water Inc."},"labDirector":{"type":"array","format":"json","items":{"$ref":"#/components/schemas/Person"}},"locations":{"type":"array","format":"json","items":{"$ref":"#/components/schemas/Location"}}}},"Person":{"description":"A globally unique human individual.","properties":{"id":{"type":"integer","example":12345678901234567890},"firstName":{"type":"string"}}},"BomLineItem":{"description":"A Bill of Material Item","required":["id","name","quantity"],"properties":{"id":{"type":"integer","example":234545667890123},"name":{"type":"string","description":"A short name for a bill of material line item is a component of the package that is shipped as part of a test order.","example":"`Outbound FedEx Ground 2-day` or `Saliva collection vial 30mL`"},"details":{"type":"string","description":"`Using Bristall FedEx account# 142235365` or `Plastic Saliva vial`"},"quantity":{"type":"integer","default":1,"example":2},"cost":{"type":"number","description":"The cost of the item as a BOM componen.","default":0.0},"supplier":{"type":"string","description":"Information about the supplier of the bom line item.","default":"","example":"uline.com"},"manufacturer":{"type":"string","description":"Information about the manufacturer of the bom line item.","default":"","example":"3M Corporatin"}}},"Location":{"description":"A physical location for which exists a valid postal delivery address.","properties":{"id":{"type":"integer","example":12345678901234567890},"country":{"type":"string","example":"Bulgaria"},"county":{"type":"string","example":"Ada"},"region":{"type":"string","example":"Northwest"},"street_address_1":{"type":"string","example":"100 1st Street"},"street_address_2":{"type":"string","example":"Suite 300"},"city":{"type":"string","example":"San Francisco"},"state":{"type":"string","example":"Ontario"},"potal_code":{"type":"string","example":"65778-AQW1"},"latDeg":{"type":"number","example":107.99874},"lonDeg":{"type":"number","example":45.4443}}},"TestResultDefinition":{"type":"object","required":["name"],"description":"Test Result Definition, indicating what kind of results the Test can has.","properties":{"id":{"type":"integer","example":12345678901231},"name":{"type":"string","minimum":1,"maximum":128,"example":"SARS-COV-2","description":"A unique name for the Test Result Definition."},"resultType":{"type":"string","enum":["QUANTITATIVE","QUALITATIVE"],"example":"QUANTITATIVE","description":"The type of the Result. It can be either Quantitative or Qualitative. If it is Qualitative then It should has the standard predifined values of Positive, Negative and Inconclusive."},"uom":{"type":"string","example":"pg/ml","description":"Unit of measure of the result. It is a value list with predifined values, such as: pg/ml, mcg, mmol/L and so on. More information: https://www.peacehealth.org/medical-topics/id/zd1440"},"lowerRange":{"type":"number","minimum":0,"maximum":999999,"example":"3.5","description":"It only used if the result is of type Quantitative."},"upperRange":{"type":"number","minimum":0,"maximum":999999,"example":"5.1","description":"It only used if the result is of type Quantitative."},"resultDescription":{"type":"string","minimum":8,"maximum":5000,"description":"A description of the Test Result Definition."},"loincCodes":{"type":"object","example":"List [ 93418-2, 82088-6, 15236-3 ]","description":"List of valid LOINC codes that are possible for this Test Result."}}},"Organization":{"description":"Equivalent to the BoCore OrganizationDTO","type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"authorizationCode":{"type":"integer","format":"int64"},"capabilities":{"type":"string","enum":["N_A","PROCTORING"]},"country":{"type":"string"},"domain":{"type":"string"},"hcpId":{"type":"integer","format":"int64"},"legalCompanyName":{"type":"string"},"taxId":{"type":"string"},"tenantId":{"type":"integer","format":"int64"},"webSite":{"type":"string"}}},"ShippingOption":{"description":"This defines an individual shipping company's product. For exampl `FedEx Next Day Morning Domestic`","type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"authorizationCode":{"type":"integer","format":"int64"},"capabilities":{"type":"string","enum":["N_A","PROCTORING"]},"country":{"type":"string"},"domain":{"type":"string"},"hcpId":{"type":"integer","format":"int64"},"legalCompanyName":{"type":"string"},"taxId":{"type":"string"},"tenantId":{"type":"integer","format":"int64"},"webSite":{"type":"string"}}},"TestOrder":{"type":"object","required":["id","name"],"description":"Test Order Information","properties":{"id":{"type":"integer","example":12345678901231,"description":"The database PK (boi_id) of the TestOrder record."},"name":{"type":"string","minimum":1,"maximum":256,"example":"[d:20220524 [p:Dejan Nenov [t:Sirma Group JSF [l:Premier Labs [tp:1Health Health and Wellness Panel [pid:776352442 [tid:14332 [lid:443 [tpid:33298 [toid:99827","description":"Contains a concatenation of identifiers that make it easy to recognize all parties and products involved in the order. <date: YYYYMMDD> p:<patient-name> t:<tenant-name> l:<lab-name> tp:<test-product-name> pid:<patient-id> tid:<tenant-id> lid:<lab-id> tpid:<test-product-id> toid:<test-offered-id>"},"testProductID":{"type":"integer","example":12345678901231,"description":"The database PK (boi_id) of the TestProduct record that this order is for."},"testProductName":{"type":"string","minimum":1,"maximum":128,"example":"1Health Health and Wellness Panel","description":"A copy of the name of the Test Product ordered, as the name existed at the time of creating the order."},"orderingOrgID":{"type":"integer","example":12345678901231,"description":"The database PK (boi_id) of the Orgniazation record that PLACED the order."},"orderingOrgName":{"type":"string","minimum":1,"maximum":128,"example":"1Health Health and Wellness Panel","description":"A copy of the name of the Orgniazation that placed the order, as the name existed at the time of creating the order."},"supplierOrgID":{"type":"integer","example":12345678901231,"description":"The database PK (boi_id) of the Supplier Orgniazation record, if the Test Product includes a supply product that wil be shupped from this supplier. This can be blank."},"supplierOrgName":{"type":"string","minimum":1,"maximum":128,"example":"1Health Health and Wellness Panel","description":"A copy of the name of the of the Supplier Orgniazation record, as the name existed at the time of creating the order. This can be blank."},"labOrgID":{"type":"integer","example":12345678901231,"description":"The database PK (boi_id) of the Lab Organization that owns and will process the Test Offered on this order. If the Lab has mutliple locations, this is the ID of the ORganization at the location that will physically receive the sample."},"labOrgName":{"type":"string","minimum":1,"maximum":128,"example":"1Health Health and Wellness Panel","description":"A copy of the name of the Orgniazation that placed the order, as the name existed at the time of creating the order."}}}}}}